net.minecraft.nbt

## Class NBTTagList

- java.lang.Object
- - net.minecraft.nbt.NBTBase
  - - net.minecraft.nbt.NBTTagList

-     public class NBTTagList
      extends NBTBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.nbt.NBTBase

      `NBTBase.NBTPrimitive`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.nbt.NBTBase

      `NBTTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NBTTagList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendTag(NBTBase par1NBTBase)`
    `NBTBase` | `copy()`
    `boolean` | `equals(java.lang.Object par1Obj)`
    `int` | `func_150303_d()`
    `void` | `func_150304_a(int p_150304_1_, NBTBase p_150304_2_)`
    `int[]` | `func_150306_c(int p_150306_1_)`
    `float` | `func_150308_e(int p_150308_1_)`
    `double` | `func_150309_d(int p_150309_1_)`
    `NBTTagCompound` | `getCompoundTagAt(int p_150305_1_)`
    `byte` | `getId()`
    `java.lang.String` | `getStringTagAt(int p_150307_1_)`
    `int` | `hashCode()`
    `NBTBase` | `removeTag(int par1)`
    `int` | `tagCount()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.minecraft.nbt.NBTBase

      `func_150283_g, func_150284_a, func_150285_a_`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NBTTagList

          public NBTTagList()

  - ### Method Detail

    - #### getId

          public byte getId()

      Specified by:
        `getId` in class `NBTBase`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in class `NBTBase`

    - #### appendTag

          public void appendTag(NBTBase par1NBTBase)

    - #### func_150304_a

          public void func_150304_a(int p_150304_1_,
                           NBTBase p_150304_2_)

    - #### removeTag

          public NBTBase removeTag(int par1)

    - #### getCompoundTagAt

          public NBTTagCompound getCompoundTagAt(int p_150305_1_)

    - #### func_150306_c

          public int[] func_150306_c(int p_150306_1_)

    - #### func_150309_d

          public double func_150309_d(int p_150309_1_)

    - #### func_150308_e

          public float func_150308_e(int p_150308_1_)

    - #### getStringTagAt

          public java.lang.String getStringTagAt(int p_150307_1_)

    - #### tagCount

          public int tagCount()

    - #### copy

          public NBTBase copy()

      Specified by:
        `copy` in class `NBTBase`

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `NBTBase`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `NBTBase`

    - #### func_150303_d

          public int func_150303_d()